%define majorminor 0.6
%define lib_major 3
%define lib_name %mklibname croco %{majorminor} %{lib_major}
%define develname %mklibname -d croco

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libcroco
Summary:	CSS2 parser library
Version:	0.6.12
Release:	%mkrel 2
License:	LGPLv2
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		libcroco-0.6.12-CVE-2017-7960.patch
Patch1:		libcroco-0.6.12-CVE-2017-7961.patch
URL:		http://savannah.nongnu.org/projects/libcroco
BuildRequires: pkgconfig(glib-2.0) >= 2.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.23

%description
libcroco is a standalone css2 parsing library.
It provides a low level event driven SAC like api
and a css object model like api.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
libcroco is a standalone css2 parsing library.
It provides a low level event driven SAC like api
and a css object model like api.

%package -n %{develname}
Summary:	Libraries and include files for developing with libcroco
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libcroco%majorminor-devel = %{version}-%{release}
Obsoletes:	%{_lib}croco0.6_3-devel < %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with libcroco?

%package utils
Summary:	Example apps based on libcroco for working with CSS files
Group:		Text tools
Obsoletes:	%{name}%{majorminor} < 0.6.6-2
Obsoletes:	libcroco0.6-utils < 0.6.8-2

%description utils
This contains the example apps that come with libcroco. At the moment this is
csslint, a Cascading Style Sheets checker.

%prep
%setup -q 
%autopatch -p1

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
%multiarch_binaries %buildroot%_bindir/croco-%majorminor-config

rm -f %{buildroot}%_libdir/*.la

%files utils
%doc README
%{_bindir}/csslint-%majorminor

%files -n %{lib_name}
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS
%{_libdir}/*.so.%{lib_major}{,.*}

%files -n %{develname}
%{_bindir}/croco-%majorminor-config
%multiarch_bindir/croco-%majorminor-config
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%doc %{_datadir}/gtk-doc/html/libcroco/


%changelog
* Sun Apr 23 2017 luigiwalser <luigiwalser> 0.6.12-2.mga6
+ Revision: 1097151
- add upstream patches to fix CVE-2017-796[01]

* Thu Apr 06 2017 ovitters <ovitters> 0.6.12-1.mga6
+ Revision: 1096037
- new version 0.6.12

* Thu Dec 17 2015 ovitters <ovitters> 0.6.11-1.mga6
+ Revision: 911280
- new version 0.6.11

* Sun Dec 13 2015 ovitters <ovitters> 0.6.10-1.mga6
+ Revision: 910189
- new version 0.6.10

* Sat Oct 31 2015 ovitters <ovitters> 0.6.9-1.mga6
+ Revision: 896886
- new version 0.6.9

* Sun Aug 23 2015 tmb <tmb> 0.6.8-7.mga6
+ Revision: 868367
- rebuild with new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.6.8-6.mga5
+ Revision: 740604
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.8-5.mga5
+ Revision: 681389
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 ovitters <ovitters> 0.6.8-4.mga5
+ Revision: 650953
+ rebuild (emptylog)

* Fri Oct 18 2013 umeabot <umeabot> 0.6.8-4.mga4
+ Revision: 506950
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.6.8-3.mga3
+ Revision: 356929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 fwang <fwang> 0.6.8-2.mga3
+ Revision: 310114
- unify libcroco and libcroco0.6

  + ovitters <ovitters>
    - new version 0.6.8

* Tue Oct 16 2012 ovitters <ovitters> 0.6.7-1.mga3
+ Revision: 306875
- new version 0.6.7

* Mon Sep 17 2012 fwang <fwang> 0.6.6-2.mga3
+ Revision: 294767
- rename spec
- rename source pkg

* Mon Sep 17 2012 fwang <fwang> 0.6.6-1.mga3
+ Revision: 294678
- new version 0.6.6

* Mon Mar 26 2012 ovitters <ovitters> 0.6.5-1.mga2
+ Revision: 226787
- drop patch1 (merged upstream)
- new version 0.6.5

* Tue Feb 14 2012 ovitters <ovitters> 0.6.3-2.mga2
+ Revision: 208883
- clean spec

* Sun Nov 27 2011 tv <tv> 0.6.3-1.mga2
+ Revision: 172652
- fix file list
- s/\$RPM_BUILD_ROOT/%%{buildroot}/
- new release

* Thu Sep 15 2011 fwang <fwang> 0.6.2-8.mga2
+ Revision: 143787
- drop .la files

* Fri May 06 2011 ahmad <ahmad> 0.6.2-7.mga1
+ Revision: 95278
- Revert the deleting of .la files

* Thu May 05 2011 ahmad <ahmad> 0.6.2-6.mga1
+ Revision: 95208
- Don't ship .la files

  + blino <blino>
    - remove old ldconfig scriptlets
    - imported package libcroco0.6

